using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace DeliveryDemo
{
    static class Program
    {
        /// <summary>
		/// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
#if GWS_API
            Application.Run(new GWXDeliveryDemo.FormGwsApi());
#else
            Form1 f = null;
            try
            {
                f = new Form1();
            }
            catch(Exception e)
            {
                MessageBox.Show("GWX ActiveX Control is not registered.\r\nPlease register GWX.dll using command line 'regsvr32 gwx.dll'\r\nor reinstall GWX ActiveX Control");
            }
            if(f!=null)
                Application.Run(f);
#endif
        }
    }
}